Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.modloader
Class ModLoaderModContainer

    java.lang.Object
      cpw.mods.fml.common.modloader.ModLoaderModContainer

All Implemented Interfaces:
  ModContainer

    public class ModLoaderModContainer

extends Object
implements ModContainer

Field Summary
`ArrayList<ArtifactVersion>` | `dependants`
`ArrayList<ArtifactVersion>` | `dependencies`
`BaseModProxy` | `mod`
`Set<ArtifactVersion>` | `requirements`

Constructor Summary
`ModLoaderModContainer(String className, File modSource, String sortingProperties)`

Method Summary
`VersionRange` | `acceptableMinecraftVersionRange()`
`void` | `addServerCommand(ICommand command)`
`void` | `bindMetadata(MetadataCollection mc)` Attach this mod to it's metadata from the supplied metadata collection
`void` | `constructMod(FMLConstructionEvent event)`
`static
`<A extends BaseModProxy> List<A>`
` | `findAll(Class<A> clazz)` Find all the BaseMods in the system
`static ModContainer` | `findContainerFor(BaseModProxy mod)` Deprecated.
`List<ArtifactVersion>` | `getDependants()` A list of modids that should be loaded after this one.
`List<ArtifactVersion>` | `getDependencies()` A list of modids that should be loaded prior to this one.
`String` | `getDisplayVersion()`
`BaseModTicker` | `getGameTickHandler()`
`BaseModTicker` | `getGUITickHandler()`
`ModMetadata` | `getMetadata()` The metadata for this mod
`Object` | `getMod()` Get the actual mod object
`String` | `getModId()` The globally unique modid for this mod
`String` | `getName()` A human readable name
`ArtifactVersion` | `getProcessedVersion()`
`Set<ArtifactVersion>` | `getRequirements()` A list of the modids that this mod requires loaded prior to loading
`Certificate` | `getSigningCertificate()`
`String` | `getSortingRules()` A representative string encapsulating the sorting preferences for this mod
`File` | `getSource()` The location on the file system which this mod came from
`String` | `getVersion()` A human readable version identifier
`void` | `init(FMLInitializationEvent event)`
`boolean` | `isImmutable()`
`boolean` | `isNetworkMod()`
`void` | `loadComplete(FMLLoadCompleteEvent complete)`
`boolean` | `matches(Object mod)` Does this mod match the supplied mod
`void` | `postInit(FMLPostInitializationEvent event)`
`void` | `preInit(FMLPreInitializationEvent event)`
`boolean` | `registerBus(com.google.common.eventbus.EventBus bus, LoadController controller)` Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing
`void` | `serverStarting(FMLServerStartingEvent evt)`
`void` | `setEnabledState(boolean enabled)` Set the enabled/disabled state of this mod
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mod

    public BaseModProxy mod

### requirements

    public Set<ArtifactVersion> requirements

### dependencies

    public ArrayList<ArtifactVersion> dependencies

### dependants

    public ArrayList<ArtifactVersion> dependants

Constructor Detail

### ModLoaderModContainer

    public ModLoaderModContainer(String className,
                                 File modSource,
                                 String sortingProperties)

Method Detail

### getName

    public String getName()

  Description copied from interface: `ModContainer`
  A human readable name

  Specified by:
    `getName` in interface `ModContainer`

### findContainerFor

    @Deprecated
    public static ModContainer findContainerFor(BaseModProxy mod)

  Deprecated.

### getSortingRules

    public String getSortingRules()

  Description copied from interface: `ModContainer`
  A representative string encapsulating the sorting preferences for this mod

  Specified by:
    `getSortingRules` in interface `ModContainer`

### matches

    public boolean matches(Object mod)

  Description copied from interface: `ModContainer`
  Does this mod match the supplied mod

  Specified by:
    `matches` in interface `ModContainer`

### findAll

    public static <A extends BaseModProxy> List<A> findAll(Class<A> clazz)

  Find all the BaseMods in the system

  Type Parameters:
    `A` -

### getSource

    public File getSource()

  Description copied from interface: `ModContainer`
  The location on the file system which this mod came from

  Specified by:
    `getSource` in interface `ModContainer`

### getMod

    public Object getMod()

  Description copied from interface: `ModContainer`
  Get the actual mod object

  Specified by:
    `getMod` in interface `ModContainer`

### getRequirements

    public Set<ArtifactVersion> getRequirements()

  Description copied from interface: `ModContainer`
  A list of the modids that this mod requires loaded prior to loading

  Specified by:
    `getRequirements` in interface `ModContainer`

### getDependants

    public List<ArtifactVersion> getDependants()

  Description copied from interface: `ModContainer`
  A list of modids that should be loaded after this one. The special value * indicates to load after any other mod.

  Specified by:
    `getDependants` in interface `ModContainer`

### getDependencies

    public List<ArtifactVersion> getDependencies()

  Description copied from interface: `ModContainer`
  A list of modids that should be loaded prior to this one. The special value * indicates to load before any other mod.

  Specified by:
    `getDependencies` in interface `ModContainer`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getMetadata

    public ModMetadata getMetadata()

  Description copied from interface: `ModContainer`
  The metadata for this mod

  Specified by:
    `getMetadata` in interface `ModContainer`

### getVersion

    public String getVersion()

  Description copied from interface: `ModContainer`
  A human readable version identifier

  Specified by:
    `getVersion` in interface `ModContainer`

### getGameTickHandler

    public BaseModTicker getGameTickHandler()

### getGUITickHandler

    public BaseModTicker getGUITickHandler()

### getModId

    public String getModId()

  Description copied from interface: `ModContainer`
  The globally unique modid for this mod

  Specified by:
    `getModId` in interface `ModContainer`

### bindMetadata

    public void bindMetadata(MetadataCollection mc)

  Description copied from interface: `ModContainer`
  Attach this mod to it's metadata from the supplied metadata collection

  Specified by:
    `bindMetadata` in interface `ModContainer`

### setEnabledState

    public void setEnabledState(boolean enabled)

  Description copied from interface: `ModContainer`
  Set the enabled/disabled state of this mod

  Specified by:
    `setEnabledState` in interface `ModContainer`

### registerBus

    public boolean registerBus(com.google.common.eventbus.EventBus bus,
                               LoadController controller)

  Description copied from interface: `ModContainer`
  Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing

  Specified by:
    `registerBus` in interface `ModContainer`

### constructMod

    public void constructMod(FMLConstructionEvent event)

### preInit

    public void preInit(FMLPreInitializationEvent event)

### init

    public void init(FMLInitializationEvent event)

### postInit

    public void postInit(FMLPostInitializationEvent event)

### loadComplete

    public void loadComplete(FMLLoadCompleteEvent complete)

### serverStarting

    public void serverStarting(FMLServerStartingEvent evt)

### getProcessedVersion

    public ArtifactVersion getProcessedVersion()

  Specified by:
    `getProcessedVersion` in interface `ModContainer`

### isImmutable

    public boolean isImmutable()

  Specified by:
    `isImmutable` in interface `ModContainer`

### isNetworkMod

    public boolean isNetworkMod()

  Specified by:
    `isNetworkMod` in interface `ModContainer`

### getDisplayVersion

    public String getDisplayVersion()

  Specified by:
    `getDisplayVersion` in interface `ModContainer`

### addServerCommand

    public void addServerCommand(ICommand command)

### acceptableMinecraftVersionRange

    public VersionRange acceptableMinecraftVersionRange()

  Specified by:
    `acceptableMinecraftVersionRange` in interface `ModContainer`

### getSigningCertificate

    public Certificate getSigningCertificate()

  Specified by:
    `getSigningCertificate` in interface `ModContainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD